Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.util
Class ServiceArchiveCreator

    java.lang.Object
      org.wso2.wsas.admin.service.util.ServiceArchiveCreator

    public class ServiceArchiveCreator

extends java.lang.Object

Nested Class Summary
`protected static class` | `ServiceArchiveCreator.AxisMessageLookup` TODO Find better way via Axis2.

Constructor Summary
`ServiceArchiveCreator()`

Method Summary
`static java.lang.String` | `createArchive(org.apache.axis2.context.ConfigurationContext configurationContext, java.lang.String serviceGroupName)` This method will generate an aar based on the information given.
`protected static org.apache.axiom.om.OMAttribute` | `createOMAttribute(org.apache.axiom.om.OMFactory fac, org.apache.axiom.om.OMNamespace ns, java.lang.String localName, java.lang.String value)`
`protected static org.apache.axiom.om.OMElement` | `createOMElement(org.apache.axiom.om.OMFactory fac, org.apache.axiom.om.OMNamespace ns, java.lang.String localName)`
`protected static org.apache.axiom.om.OMElement` | `createOMElement(org.apache.axiom.om.OMFactory fac, org.apache.axiom.om.OMNamespace ns, java.lang.String localName, java.lang.String text)`
`protected static org.apache.axiom.om.OMElement` | `createServiceGroupXMLInfoset(org.apache.axis2.description.AxisServiceGroup axisServiceGroup)`
`protected static void` | `serializeModules(java.util.Collection moduleCollection, org.apache.axiom.om.OMElement parent, org.apache.axiom.om.OMFactory fac, org.apache.axiom.om.OMNamespace ns, org.apache.axis2.description.AxisDescription axisDesc)`
`protected static void` | `serializeParameter(org.apache.axis2.description.Parameter param, org.apache.axiom.om.OMElement parent, org.apache.axiom.om.OMFactory fac, org.apache.axiom.om.OMNamespace ns)`
`protected static void` | `serializeParameterList(java.util.List parameterList, org.apache.axiom.om.OMElement parent, org.apache.axiom.om.OMFactory fac, org.apache.axiom.om.OMNamespace ns)`
`protected static void` | `serializePolicyIncludes(org.apache.axiom.om.OMElement parent, java.util.List policyList, org.apache.neethi.PolicyRegistry policyRegistry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceArchiveCreator

    public ServiceArchiveCreator()

Method Detail

### createArchive

    public static java.lang.String createArchive(org.apache.axis2.context.ConfigurationContext configurationContext,
                                                 java.lang.String serviceGroupName)
                                          throws org.apache.axis2.AxisFault

  This method will generate an aar based on the information given.

  Parameters:
    `configurationContext` - configuration context
    `serviceGroupName` - service group name
  Returns:
    String : an id. User can access the generated archive using HTTP GET interface and this Id
  Throws:
    `org.apache.axis2.AxisFault` - will be thrown.

### createServiceGroupXMLInfoset

    protected static org.apache.axiom.om.OMElement createServiceGroupXMLInfoset(org.apache.axis2.description.AxisServiceGroup axisServiceGroup)

### serializePolicyIncludes

    protected static void serializePolicyIncludes(org.apache.axiom.om.OMElement parent,
                                                  java.util.List policyList,
                                                  org.apache.neethi.PolicyRegistry policyRegistry)

### serializeModules

    protected static void serializeModules(java.util.Collection moduleCollection,
                                           org.apache.axiom.om.OMElement parent,
                                           org.apache.axiom.om.OMFactory fac,
                                           org.apache.axiom.om.OMNamespace ns,
                                           org.apache.axis2.description.AxisDescription axisDesc)

### serializeParameterList

    protected static void serializeParameterList(java.util.List parameterList,
                                                 org.apache.axiom.om.OMElement parent,
                                                 org.apache.axiom.om.OMFactory fac,
                                                 org.apache.axiom.om.OMNamespace ns)

### serializeParameter

    protected static void serializeParameter(org.apache.axis2.description.Parameter param,
                                             org.apache.axiom.om.OMElement parent,
                                             org.apache.axiom.om.OMFactory fac,
                                             org.apache.axiom.om.OMNamespace ns)

### createOMElement

    protected static org.apache.axiom.om.OMElement createOMElement(org.apache.axiom.om.OMFactory fac,
                                                                   org.apache.axiom.om.OMNamespace ns,
                                                                   java.lang.String localName)

### createOMElement

    protected static org.apache.axiom.om.OMElement createOMElement(org.apache.axiom.om.OMFactory fac,
                                                                   org.apache.axiom.om.OMNamespace ns,
                                                                   java.lang.String localName,
                                                                   java.lang.String text)

### createOMAttribute

    protected static org.apache.axiom.om.OMAttribute createOMAttribute(org.apache.axiom.om.OMFactory fac,
                                                                       org.apache.axiom.om.OMNamespace ns,
                                                                       java.lang.String localName,
                                                                       java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD